Chrome 70 - 11/16/2018 : Helpdesk

Chrome 70 - 11/16/2018

On October 16th 2018 Google released a new version of the browser Chrome, Chrome 70. With this new version of Chrome came a very important change about how Chrome was supporting secure and non secure sites. Users navigating these sites could be greeted with a security warning message not allowing them to view the site data. 

Tech Crunch also reports this: "the browser(Chrome 70) will start blocking sites that run older Symantec  certificates issued before June 2016, including legacy branded Thawte, VeriSign, Equifax, GeoTrust and RapidSSL certificates."

If you have purchased your SSL through Everflow Technologies this will not affect you. However, it will affect tracking links and advertiser destination urls if they are not secure(http). 

The best advice is to make sure all links are secure(https) and the certificates were not bought by the providers above before June 2016. 

Did you find it helpful? Yes No

Send feedback
Sorry we couldn't be helpful. Help us improve this article with your feedback.